# Maintainer: Nate Simon <njsimon10@gmail.com>
# Maintainer: Muhammed Efe Çetin <efectn@6tel.net>

pkgbase=xplayer
pkgname=(xplayer xplayer-plparser)
pkgver=2.4.2
pkgrel=1
arch=('i686' 'x86_64' 'armv7h')
license=('GPL')
makedepends=('git' 'gnome-common' 'gtk-doc' 'gobject-introspection'
	     'gnome-common' 'gtk-doc' 'gobject-introspection' 'vala' 'python-xdg'
	     'python-pylint' 'lirc' 'zeitgeist' 'grilo')
source=("xplayer.tar.gz::https://github.com/linuxmint/xplayer/archive/${pkgver}.tar.gz" 
	"xplayer-plparser.tar.gz::https://github.com/linuxmint/xplayer-plparser/archive/1.0.2.tar.gz")
md5sums=('00bfa48048b789cc0e79b3b0e38df117' '586fe3e544a4ebf0d450861ac65efb49')


build() {
    cd xplayer-plparser-1.0.2
    ./autogen.sh --prefix="/usr" \
         --localstatedir="/var" \
         --libexecdir="/usr/lib/xplayer-plparser"
    make

    cd ../xplayer-${pkgver}

    ./autogen.sh ax_is_release="yes" \
        --prefix="/usr" \
        --localstatedir="/var" \
        --libexecdir="/usr/lib/xplayer"
    make
}

package_xplayer(){    
    pkgdesc="Simple media player. X-Apps Project."
    url='https://github.com/linuxmint/xplayer'
    depends=(
    	'clutter-gtk' 'clutter-gst' 'xplayer-plparser'
    	'desktop-file-utils' 'iso-codes' 'yelp-xsl'
    	'libpeas' 'gsettings-desktop-schemas' 'dbus-glib'
    	'python-gobject' 'gst-plugins-base' 'gst-plugins-good'
    	'xapps')
    optdepends=(
    	'gst-libav: Extra media codec support'
    	'python2-xdg: Subtitle downloader plugin'
    	'lirc: Infrared remote control plugin'
    	'zeitgeist: Zeitgeist interface plugin'
    	'grilo: Grilo plugins')

    cd xplayer-${pkgver}
    make DESTDIR="$pkgdir/" install
}

package_xplayer-plparser(){    
    pkgdesc="Playlist parser for xplayer. X-Apps Project."
    url='https://github.com/linuxmint/xplayer-plparser'
    depends=('gmime' 'libsoup' 'libarchive' 'libquvi')

    cd xplayer-plparser-1.0.2
    make DESTDIR="$pkgdir/" install
}
